Skip to main content
PUT
Update Agent

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

agent_id
integer
required

Body

application/json

Request model for updating an agent.

name
string | null
Required string length: 1 - 200
description
string | null
instructions
string | null
execution_mode
string | null

Execution mode: flash, balanced, think, or auto

models
Models · object | null
knowledge_bases
string[] | null
skills
string[] | null
tool_categories
string[] | null
suggested_prompts
string[] | null

Suggested prompt examples for users

logo_base64
string | null
widget_enabled
boolean | null
allowed_domains
string[] | null

Response

Successful Response

Response model for agent data.

id
integer
required
user_id
integer
required
name
string
required
description
string | null
required
instructions
string | null
required
execution_mode
string
required
models
Models · object | null
required
knowledge_bases
string[]
required
skills
string[]
required
tool_categories
string[]
required
suggested_prompts
string[]
required
logo_url
string | null
required
status
string
required
published_at
string | null
required
created_at
string
required
updated_at
string
required
widget_enabled
boolean
required
allowed_domains
string[]
required
share_enabled
boolean
required
share_updated_at
string | null
required